#include "mode.h"

ModeType Mode::mode = ModeType::MODE_MANUAL_CONTROL;
ModeType Mode::lastMode = ModeType::MODE_MANUAL_CONTROL;

void Mode::processDeviceMode()
{
  if (mode == ModeType::MODE_TRACK)
  {
    TrackingController::update();
  }
  if (lastMode != mode)
  {
    lastMode = mode;
    MotorController::motorXYRControl(0, 0, 0);
    Serial.println("Mode changed to: " + String(mode));
  }
}